package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsCanteenTypeModel = (*customFsCanteenTypeModel)(nil)

type (
	// FsCanteenTypeModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsCanteenTypeModel.
	FsCanteenTypeModel interface {
		fsCanteenTypeModel
	}

	customFsCanteenTypeModel struct {
		*defaultFsCanteenTypeModel
	}
)

// NewFsCanteenTypeModel returns a model for the database table.
func NewFsCanteenTypeModel(conn sqlx.SqlConn) FsCanteenTypeModel {
	return &customFsCanteenTypeModel{
		defaultFsCanteenTypeModel: newFsCanteenTypeModel(conn),
	}
}
